<?php
////////////////////////////////////////////////////
// OE_generator - class v.0.6 - 2006/04/18
//
// Outlook Express configuration generator
//
// This a class to generate a file with the configuration of a POP3 email account, 
// so that the configuration can be imported in the Windows Outlook Express.
//
// This class is based in the Windows Registry entry 
// "[HKEY_CURRENT_USER\Software\Microsoft\Internet Account Manager\Accounts\"
//
// To import this configuration you have to execute the created .reg file on the computer 
// thats is going to be configurated
//
// This class is plataform independient, but the inportation only works in Windows Outlook Express.
//
// Author:  Emilio Rodriguez - emiliort@gmail.com
//
// License: public domain
//
////////////////////////////////////////////////////
// OE_Generator - class v.0.6 - 2006/04/18
//
// Clase para generar un archivo con la configuracion de una cuenta de correo POP3
// para ser importada en el Outlook Express. 
// Se facilitan los datos de la cuenta a la clase 
// y se crea un archivo .reg con esos datos para su posterior importacion.
//
// La clase se basa en la utilizacion del Archivo de Registro de Windows 
// para la importacion de estos datos en la rama del Outlook Express 
// "[HKEY_CURRENT_USER\Software\Microsoft\Internet Account Manager\Accounts\"
//
// Para importar esta configuracion en el Outlook Express solo hay que ejecutar el archivo .reg creado.
// 
// La clase funciona en cualquier plataforma con soporte PHP, 
// la importacion solo funciona para Windows Outlook Express.
//
// Autor: Emilior Rodriguez - emiliort@gmail.com
// Licencia: dominio publico
//
////////////////////////////////////////////////////

/**
 * OE_Generator - Outlook Express configuration generator Class v.0.6
 * @package OE_Generator
 * @author Emilio Rodriguez - emiliort@gmail.com
 * @copyright public domain
 */
class OE_Generator {

     /**
     * Export this configuration via windows registry file (creating this file)  
     * @param string $POP_server
     * @param string $SMTP_server
     * @param string $email
     * @param string $user
     * @return void
     */
    function generate ($POP_server,$SMTP_server,$email,$user) {
        
        $filename='Outlook_Express_'.$email.'.reg';
                
        ob_end_clean();

        // fix for IE catching or PHP bug issue
        header("Pragma: public");
        header("Expires: 0"); // set expiration time
        header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
        // browser must download file from server instead of cache

        // force download dialog
        header("Content-Type: application/force-download");
        header("Content-Type: application/octet-stream");
        header("Content-Type: application/download");

        //header("content-type:text/plain");

        // use the Content-Disposition header to supply a recommended filename and
        // force the browser to display the save dialog.
        header("Content-Disposition: attachment; filename=".$filename);
        ?>
        Windows Registry Editor Version 5.00

        [HKEY_CURRENT_USER\Software\Microsoft\Internet Account Manager\Accounts\<? echo($user);?>]
        "Account Name"="<? echo($email);?>"
        "Connection Type"=dword:00000003
        "POP3 Server"="<? echo($POP_server);?>"
        "POP3 User Name"="<? echo($user);?>"
        "POP3 Password2"=
        "POP3 Prompt for Password"=dword:00000000
        "SMTP Server"="<? echo($SMTP_server);?>"
        "SMTP Display Name"="<? echo($email);?>"
        "SMTP Email Address"="<? echo($email);?>"
        "POP3 Port"=dword:0000006e
        "POP3 Secure Connection"=dword:00000000
        "POP3 Timeout"=dword:0000012c
        "Leave Mail On Server"=dword:00000000
        "POP3 Skip Account"=dword:00000000
        "SMTP Port"=dword:00000019
        "SMTP Secure Connection"=dword:00000000
        "SMTP Timeout"=dword:0000012c
        "SMTP Split Messages"=dword:00000000
        "SMTP Use Sicily"=dword:00000002
    <? }
}
?>